/// <reference types="types" />
/**
 * 合并
 * @param {*} options
 */
declare type WechatPageOptions = WechatMiniprogram.Page.Options<WechatMiniprogram.Page.DataOption, WechatMiniprogram.Page.CustomOption>;
declare type WechatComponentOptions = WechatMiniprogram.Component.Options<WechatMiniprogram.Component.DataOption, WechatMiniprogram.Component.PropertyOption, WechatMiniprogram.Component.MethodOption>;
/**
 * 页面合并数据响应式
 * @param options
 * @returns
 */
export declare function componentReactive(options?: WechatComponentOptions): WechatComponentOptions;
/**
 * 页面数据合并
 * @param options
 */
export declare function pageReactive(options?: WechatPageOptions): WechatPageOptions;
export {};
